package com.ruoyi.system.domain_shate;

 
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class LandUse extends  SysSTEntity
{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */

    private Integer id;


    private String zone;

    private String landUse;

    private Double area;

    private Double percent;

    private  Double total;

    private String imageDate;



    private String productCode1;


    private String productCode2;

    private String productCode3;

    private  String year;


    private String createdBy;

    private  LocalDateTime createdTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public String getLandUse() {
        return landUse;
    }

    public void setLandUse(String landUse) {
        this.landUse = landUse;
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Double getPercent() {
        return percent;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCraetedTime() {
        return createdTime;
    }

    public void setCraetedTime(LocalDateTime craeteTime) {
        this.createdTime = craeteTime;
    }

    @Override
    public String toString() {
        return "LandUse{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", landUse='" + landUse + '\'' +
                ", area=" + area +
                ", percent=" + percent +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", productCode3='" + productCode3 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", craetedTime=" + createdTime +
                '}';
    }

    public Double getTotal() {
        return total;
    }

    public void setTotal(Double total) {
        this.total = total;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }
}
